Subject: 'git gc' always run, on old kernel repo?

From: Jeff Garzik <[email-masked]>
Date: Thu, 28 Feb 2008 14:57:39 -0500

In order to apply a kernel patch diff'd against an older kernel, I ran

	git checkout -b tmp v2.6.23
	git-am --signoff --utf8 /g/tmp/mbox

The patch applied successfully, but each time I run this, it starts an 
automated 'git gc' run...  even if there is nothing useful to gc:

> [jgarzik@pretzel netdev-2.6]$ git-am --signoff --utf8 /g/tmp/mbox 
> Applying Add support for HT1100 SATA controller - sent from evolution
> Auto packing your repository for optimum performance. You may also
> run "git gc" manually. See "git help gc" for more information.
> Counting objects: 1, done.
> Writing objects: 100% (1/1), done.
> Total 1 (delta 0), reused 0 (delta 0)
> warning: There are too many unreachable loose objects; run 'git prune' to remove them.

IMO there is a broken hueristic in there somewhere...  I regularly run 
'git gc' on my repos...

	Jeff